Subject: Re: bug#727: ntp* missing from desktop tasks

From: Mark Hindley <[email-masked]>
Date: Tue, 6 Dec 2022 16:41:58 +0000

Valentine,

On Tue, Dec 06, 2022 at 03:44:26PM +0100, Valentin wrote:
> > This seems reasonable. Maybe adding
> > 
> >  Recommends: time-daemon | ntpsec-ntpdate
> > 
> > to desktop-base is the best option. ntpd doesn't exist in ceres/daedalus and
> > ntpdate is only transitional.
> 
> I'm not sure about it. I think it would be nice to have a service that runs by 
> default, and this suggestion would install ntpsec-ntpdate if no time-daemon 
> was previously installed which needs to be run manually.

If there is a time-daemon installed, isn't running anything manually superfluous?

> But on the other hand i'm not sure what to do instead...
> I was looking around in standard debian and there systemd has
> Recommends: systemd-timesyncd | time-daemon
>  
> > Or maybe this should be kde-* only as I am not sure other desktops have a
> > menu item to set the time.
> 
> I think most desktop environments have it, I'm sure for KDE and Gnome do.

I don't use either. I don't think xfce4 does and the lightweight onces like
openbox certainly doesn't.

Mark